Summary: A GNU collection of binary utilities.
%define TARGET netware
Name: binutils-%{TARGET}-fpc
Version: 2.15.92.0.2
Release: 3.fc3
Copyright: GPL
Group: Development/Tools
URL: http://sources.redhat.com/binutils
Source: ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
Patch1: binutils-2.15.92.0.2-ltconfig-multilib.patch
Patch2: binutils-2.15.92.0.2-ppc64-pie.patch
Patch3: binutils-2.15.92.0.2-place-orphan.patch
Patch4: binutils-2.15.92.0.2-ia64-lib64.patch
Patch5: binutils-2.15.92.0.2-relro-fix.patch
Patch6: binutils-2.15.92.0.2-ldsoconf.patch
Patch7: binutils-2.15.92.0.2-elfvsb-test.patch
Patch8: binutils-2.15.92.0.2-prelink-strip.patch
Patch9: binutils-2.15.92.0.2-ppc-tlbie.patch
Patch10: binutils-2.15.92.0.2-strings.patch
Patch11: binutils-2.15.92.0.2-comdat-linkonce-mix.patch
Patch12: binutils-2.15.92.0.2-justsymbols.patch
Patch13: binutils215-nlmconv-nlm-name-header.patch


Buildroot: /var/tmp/binutils-root
BuildRequires: texinfo >= 4.0, dejagnu, gettext, flex
Prereq: /sbin/install-info
%ifarch ia64
Obsoletes: gnupro
%endif

%define _gnu %{nil}

%description
Binutils is a collection of binary utilities, including ar (for
creating, modifying and extracting from archives), as (a family of GNU
assemblers), gprof (for displaying call graph profile data), ld (the
GNU linker), nm (for listing symbols from object files), objcopy (for
copying and translating object files), objdump (for displaying
information from object files), ranlib (for generating an index for
the contents of an archive), size (for listing the section sizes of an
object or archive file), strings (for listing printable strings from
files), strip (for discarding symbols), and addr2line (for converting
addresses to file and line).
This version supports %{TARGET}

%prep
%setup -q -n binutils-%{version}
%patch1 -p0 -b .ltconfig-multilib~
%patch2 -p0 -b .ppc64-pie~
%patch3 -p0 -b .place-orphan~
%ifarch ia64
%if "%{_lib}" == "lib64"
%patch4 -p0 -b .ia64-lib64~
%endif
%endif
%patch5 -p0 -b .relro-fix~
%patch6 -p0 -b .ldsoconf~
%patch7 -p0 -b .elfvsb-test~
%patch8 -p0 -b .prelink-strip~
%patch9 -p0 -b .ppc-tlbie~
%patch10 -p0 -b .strings~
%patch11 -p0 -b .comdat-linkonce-mix~
%patch12 -p0 -b .justsymbols~
%patch13
# libtool sucks
perl -pi -e 'm/LIBADD/ && s/(\.\.\/bfd\/libbfd.la)/-L\.\.\/bfd\/\.libs \1/' opcodes/Makefile.{am,in}
# LTP sucks
perl -pi -e 's/i\[3-7\]86/i[34567]86/g' */conf*
touch */configure


%build
mkdir build-%{_target_platform}
cd build-%{_target_platform}
CARGS=
#  --enable-targets=i386-winnt,i386-netware
CFLAGS="${CFLAGS:-%optflags}" ../configure \
  %{_target_platform} --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} \
  --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir} --includedir=%{_includedir} --libdir=%{_libdir} \
  --libexecdir=%{_libexecdir} --localstatedir=%{_localstatedir} \
  --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
  --infodir=%{_infodir} --disable-shared  --disable-nls --target=i386-%{TARGET} $CARGS
make %{_smp_mflags} tooldir=%{_prefix} all
make %{_smp_mflags} tooldir=%{_prefix} info

%install

rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
##install -m 755 build-i386-redhat-linux/binutils/windres %{DESTDIR}
cd build-%{_target_platform}
%makeinstall

cd %{buildroot}
rm -Rf usr/share
rm -Rf usr/include
rm -Rf usr/i386-redhat-linux
rm -Rf usr/lib/*
rm -Rf usr/src/*
rm -Rf usr/i386-%{TARGET}
#rm -f usr/lib/*.a
#rm -f usr/lib/*.la


%clean
rm -rf %{buildroot}

%post

%preun

%postun

%files
/usr/bin/*

%changelog
* Sun Jan 1 2005 Armin <armin@freepascal.org>
- fixed nlmconv, header contained nlm name with path

* Sun Nov 7 2004 Armin <armin@freepascal.org>
- changed names to i386-netware-* and installed to /usr/bin

* Sat Oct 2 2004 Armin <armin@freepascal.org>
- first version
